﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Collections.Specialized;
using System.Collections.Generic;

/// <summary>
/// 功能：付完款后跳转的页面（页面跳转同步通知页面）
/// 版本：3.1
/// 日期：2010-10-29
/// 说明：
/// 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,并非一定要使用该代码。
/// 该代码仅供学习和研究支付宝接口使用，只是提供一个参考。
/// 
/// ///////////////////////页面功能说明///////////////////////
/// 该页面可在本机电脑测试
/// 该页面称作“页面跳转同步通知页面”，是由支付宝服务器同步调用，可当作是支付完成后的提示信息页，如“您的某某某订单，多少金额已支付成功”。
/// 可放入HTML等美化页面的代码和订单交易完成后的数据库更新程序代码
/// 该页面可以使用ASP.NET开发工具调试，也可以使用写文本函数Log_result进行调试，该函数已被默认关闭
/// TRADE_FINISHED(表示交易已经成功结束，为普通即时到帐的交易状态成功标识);
/// TRADE_SUCCESS(表示交易已经成功结束，为高级即时到帐的交易状态成功标识);
/// </summary>
namespace fishPay
{
    public partial class return_url : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            //创建PayResponseHandler实例
            fishPayResponse payresponse = new fishPayResponse(Context);
            //判断签名
            if (payresponse.IsPaySign())
            {
                string order_no = payresponse.getParameter("order_no");  //商户自己的订单号
                string subject = payresponse.getParameter("subject");    //商品名称
                string pay_type = payresponse.getParameter("pay_type");  //支付类型
                string money = payresponse.getParameter("money");    //订单金额
                string realmoney = payresponse.getParameter("realmoney");    //实际支付金额               
                string yuma_order_no = payresponse.getParameter("user_order_id");          //鱼码订单号
                string app_id = payresponse.getParameter("app_id"); //接口app_id
                string extra = payresponse.getParameter("extra");    //用户自定义数据
               
                    bool issuccess = true;
                    //------------------------------
                    //如需要处理业务，请在本处写代码，建议业务处理放在notify_url.aspx页面
                    //注意交易单不要重复处理
                    //注意判断返回金额
                    //------------------------------

                    //打印页面
                    lbTrade_no.Text = yuma_order_no;
                    lbOut_trade_no.Text = order_no;
                    lbTotal_fee.Text = money;
                    lbSubject.Text = "鱼码软件产品";
                    //lbShopName.Text = "";
                    lbBuyer_email.Text = order_no;
                    
                    lbVerify.Text = "验证成功";

                    if (issuccess)
                    {
                        //如果没有做过处理，根据订单号（out_trade_no）在商户网站的订单系统中查到该笔订单的详细，并执行商户的业务程序
                        //如果有做过处理，不执行商户的业务程序
                        lbl_message.Visible = false;
                    }
                    else
                    {
                        lbl_message.Visible = true;
                        lbl_message.Text = "自动发货失败，请联系客服！";
                    }
               
            }
            else
            {
                Response.Write("认证签名失败");
            }
        }
    }
}
